Bug 805391 - [abrt] stellarium-0.11.2-1.fc17: __GI_exit: Process /usr/bin/stellarium was killed by signal 11 (SIGSEGV)
[abrt] stellarium-0.11.2-1.fc17: __GI_exit: Process /usr/bin/stellarium was k...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
abrt_hash:b58a25ac05d327f3ea1b2a89f22...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-21 02:38 EDT by collura
Modified: 2013-08-01 07:39 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 07:39:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (8.09 KB, text/plain)
2012-03-21 02:38 EDT, collura
no flags Details
File: maps (42.05 KB, text/plain)
2012-03-21 02:38 EDT, collura
no flags Details
File: backtrace (48.83 KB, text/plain)
2012-03-21 02:38 EDT, collura
no flags Details

  None (edit)
Description collura 2012-03-21 02:38:10 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        stellarium
crash_function: __GI_exit
executable:     /usr/bin/stellarium
kernel:         3.3.0-1.fc17.x86_64
pid:            28496
reason:         Process /usr/bin/stellarium was killed by signal 11 (SIGSEGV)
time:           Tue 20 Mar 2012 10:16:19 PM EDT

backtrace:      Text file, 50003 bytes
dso_list:       Text file, 8285 bytes
maps:           Text file, 43062 bytes

build_ids:
:236556a4115f1c4bc48f5c07f92f00685de21cee
:87b37147412577975d52b6a1f09d36ad77c86b4b
:20ad9f242a6a13d40812f9254ab3f7a9cd7cb9e0
:91aa5c4495f90dd70b4947b2e37cf219d13ecd17
:5cb52239c901fea9e4e3ba272e477c145de9fd04
:7251d3edf32c8bcdb440d9288a8c81c598dbcbdd
:e850c9c2577f79b97ad4c53dbf9b0964682dcbaa
:dd2a83493c6dc6cfb58cf6edcde0fab0e1ad9ea3
:73d0aa1681b513d1459b8d6e6eac95cc131868bb
:de7dfd6b80aed35c1ecace885cc7f963030d5c82
:b277af36744327e3d58eae76bcdaadcca71a28c6
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:b34676a7754197b3aa0ab7fba51844207d644e8d
:8a58512c2cc89530f70932553442289158de3083
:ba411626ac13091abd42b787a74e754ac0188c13
:0d9576251f66aba49f2d18836e1b5426b8582ea2
:43ff5c6ac32fdbb249c0738b601d80522e7ff9c8
:b1e3a6defd2119a017e2c5b43fbaf7d48d46a9cd
:309adbef5b00201dd7dff835bc81365e276921aa
:b8469d1c4799f0d9fbbc0be8ca640ed71c585398
:e91010b497ec024178c36f4365b21f668bada0ca
:f4f9ce91c43285df84177f9684a3e7f190a0aae1
:348363b75ba2150fca6a94fb3331dfc75a4f026b
:e9a9183eaeff58fdb4991af304c3d62e913e230a
:30dcd9b8ed918d4a36d11e3822dd23882c9ed403
:1555b1de25ee9aa6770b016dc6b0fc0372c073bd
:5bbbe16527d496a0e0fefc6ba0c0219a71a0e4c1
:005464563090f9648c12bfa2c9b2f8dcb72313e8
:35873a5c01548849d307db8f8ee296d7d58fb7fb
:939400f73029a252fe675a50541837630682a406
:d23ad34ab62b74ab51eb61de167b89aac5fcdc34
:116ae11be891bcddc048fddee29239248ed5d47e
:6e5485e938db64c2939eebbc9a4ec85dcdce1bc8
:e789f001d792823f657f39b4f9a2ef4935271c64
:b49c75e6e258789e2b27396eaca76053ae59b832
:ad0818a36ea58b45bb6646a229105a54f86e25a0
:2c09a3f87a92231b0acabb79968d235d61c36967
:59ab499ab7c3e141c28685d3226d09e2ffaf76a9
:af791da4bb3d64c79d0cec63b6a39654d90fc3f0
:3dd28f8a8b722d6f4d332bc688cc6b8a93f1cf16
:75cbb1fd305f19ec97b5f4be31f20f441b91bd8b
:822e9b3523e8312240f41a25722d539bc77ed436
:404cbecd24d186758ed474b345313da28b2990fa
:3fa60e524d6617e286752acacfac1f1a565f333f
:652697d945b4084f8ecf3bbd2eeb5d33b69aff4f
:5f30706c1a4415d431f4b778a5f4cc6e0bb0bd0e
:5bc2d347a293d92e3c373d09875abb8a267a9fc4
:faee7473c58183cd9a9283ba3490ff2b5213499a
:d804f8ee47797da9213a92f00cd095ecada8d79f
:c22f6dbb56084ab59991abf9cb2f6eccb14ec823
:0093182cfa1588931c6ddd2c0d5fd8e9093e1968
:995f6f18d5910289af8d873e3599caf62f561191
:9af33edde528c64869abfcce919051d5b15848d9
:8032681acfadb3c8b9e0a6e74cd58d8c36363450
:8583e0e03ff6f04e73d6ea82103c80a2b9fcd899
:7c35310fc506498c612d5d982ab03becc4b4817c
:80dcf30321dbc04511d9cbf399a83b8f3dc75d5d
:f0b8e665d56d250c2b4abc39c6d1d557ee623477
:a095f564bf20c90a6e26a32fe83d4d04c5eadbcb
:666abf228c966f37766ad17cd64ba794136e9ac9
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:6661266e8cc9733a9a1734220878f70031b52cf3
:45f039e5502bbe765a1f13d93b1fc95250ba6530
:d00535f0a37afea5e676a0c4bcb84a11544852e3
:14e8f7d39bb684e00c591625ee64905ceb4ab8c9
:a583050dded8d0e235f521cc485ec7663f209803
:54a5cc118d928470da13565de8592b664a9868e0
:6c41ef715769150801aebb3267ae216349586654
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:664ed02205756e404bd2c47242bfa068fe47d85d
:4b044fe80e4c1b69986abc4b160c303048005d4e
:1d4df97fa6024b097b634a272447243c95c26d85
:8ec82b6ee053cf4d3e066b0a85509cdead442377
:344356c1a518d582f1ce93cd5fbebd16b15306f1
:521933d4ba26eeeca0ae201f48bc9909a398ccd8
:de04da52893b8a9e5fc8fa786d20230fef5d7fee
:247132297f287226a24c12e683292f5c94013066
:f9cf1e44a2f97bfa171687e20b003e919fcdba8a
:f03b79397ed9c0851f0541cd15e309cfbd944dad

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=<removed>.<removed>
:GIO_LAUNCHED_DESKTOP_FILE_PID=28496
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/tmp/keyring-<removed>/gpg:0:1
:DESKTOP_STARTUP_ID=gnome-shell-1236-<removed>.<removed>-stellarium-wrapper-7_TIME7531299
:TERM=dumb
:SHELL=/bin/bash
:XDG_SESSION_COOKIE=a44a470b45ca673df840804d0000002d-1332272178.689955-603089734
:HISTSIZE=1000
:G_MESSAGES_DEBUG=all
:GJS_DEBUG_OUTPUT=stderr
:NCARG_FONTCAPS=/usr/lib64/ncarg/fontcaps
:GNOME_KEYRING_CONTROL=/tmp/keyring-<removed>
:QTDIR=/usr/lib64/qt-3.3
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=none
:USER=<removed>
:SSH_AUTH_SOCK=/tmp/keyring-<removed>/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1016,unix/unix:/tmp/.ICE-unix/1016
:USERNAME=<removed>
:NCARG_GRAPHCAPS=/usr/lib64/ncarg/graphcaps
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-stellarium.desktop
:DESKTOP_SESSION=gnome
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/<removed>/.local/bin:/home/<removed>/bin
:MAIL=/var/spool/mail/<removed>
:QT_IM_MODULE=xim
:PWD=/home/<removed>
:XMODIFIERS=@im=none
:NCARG_ROOT=/usr
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=1014
:KDE_IS_PRELINKED=1
:NCARG_DATABASE=/usr/lib64/ncarg/database
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:NCARG_LIB=/usr/lib64/ncarg
:SHLVL=1
:HOME=/home/<removed>
:XDG_SEAT=seat0
:NCARG_NCARG=/usr/share/ncarg
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=<removed>
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-<removed>,guid=e9cd425a77bc60b228f47f3600000035
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/<removed>
:XAUTHORITY=/var/run/gdm/auth-for-<removed>/database

smolt_data:
:
:
:General
:=================================
:UUID: 66b47ae1-a673-4668-9ca2-4725f0728dbf
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4198.24
:CPU Vendor: AuthenticAMD
:CPU Model: AMD Turion(tm) X2 Dual-Core Mobile RM-72
:CPU Stepping: 1
:CPU Family: 17
:CPU Model Num: 3
:Number of CPUs: 2
:CPU Speed: 2100
:System Memory: 2758
:System Swap: 3283
:Vendor: TOSHIBA
:System: Satellite L355D PSLE8U-02P01D
:Form factor: Notebook
:Kernel: 3.3.0-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4130:38406:4473:65386) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (PCIE port 2)
:(4098:17297:4473:65386) pci, ahci, STORAGE, SB7x0/SB8x0/SB9x0 SATA Controller [AHCI mode]
:(4098:38419:4473:65386) pci, radeon, VIDEO, RS780MC [Radeon HD 3100 Graphics]
:(4130:38400:4473:65386) pci, None, HOST/PCI, RS780 Host Bridge
:(4130:38402:4130:38402) pci, None, PCI/PCI, RS780/RS880 PCI to PCI bridge (int gfx)
:(4332:33078:4473:65386) pci, r8169, ETHERNET, RTL8101E/RTL8102E PCI Express Fast Ethernet controller
:(4130:4868:0:0) pci, None, HOST/PCI, Family 11h Processor Link Control
:(4130:4865:0:0) pci, None, HOST/PCI, Family 11h Processor Address Map
:(4130:4864:0:0) pci, None, HOST/PCI, Family 11h Processor HyperTransport Configuration
:(4130:4867:0:0) pci, k10temp, HOST/PCI, Family 11h Processor Miscellaneous Control
:(4130:4866:0:0) pci, None, HOST/PCI, Family 11h Processor DRAM Controller
:(4098:17308:4473:65386) pci, pata_atiixp, STORAGE, SB7x0/SB8x0/SB9x0 IDE Controller
:(4098:17285:4473:65386) pci, piix4_smbus, SERIAL, SBx00 SMBus Controller
:(4098:17309:4473:65386) pci, None, PCI/ISA, SB7x0/SB8x0/SB9x0 LPC host controller
:(4098:17283:4473:65386) pci, snd_hda_intel, MULTIMEDIA, SBx00 Azalia (Intel HDA)
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4098:17302:4473:65386) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17303:4473:65386) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:17304:4473:65386) pci, ohci_hcd, USB, SB7x0 USB OHCI1 Controller
:(4098:17302:4473:65386) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17304:4473:65386) pci, ohci_hcd, USB, SB7x0 USB OHCI1 Controller
:(4098:17303:4473:65386) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(5772:28:5199:28968) pci, ath5k, ETHERNET, WLL3141 (Toshiba PA3613U-1MPC) 802.11bg Wireless Adapter
:(4130:38404:4473:65386) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (PCIE port 0)
:(4130:38405:4473:65386) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (PCIE port 1)
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda5 / ext4 4096 4096 5733898 2701366 2643958 1441792 1180420 1180420
:/dev/sda10 /boot ext4 4096 4096 276589 245263 231401 69408 69169 69169
:

var_log_messages:
:Mar 20 22:16:19 localhostb kernel: [16146.405262] stellarium[28496]: segfault at 28 ip 0000003a33a76589 sp 00007fff745a8960 error 4 in libQtCore.so.4.8.0[3a33a00000+2bf000]
:Mar 20 22:16:21 localhostb abrt[30252]: Saved core dump of pid 28496 (/usr/bin/stellarium) to /var/spool/abrt/ccpp-2012-03-20-22:16:19-28496 (99082240 bytes)
Comment 1 collura 2012-03-21 02:38:17 EDT
Created attachment 571600 [details]
File: dso_list
Comment 2 collura 2012-03-21 02:38:19 EDT
Created attachment 571601 [details]
File: maps
Comment 3 collura 2012-03-21 02:38:21 EDT
Created attachment 571602 [details]
File: backtrace
Comment 4 Jochen Schmitt 2012-03-21 14:23:45 EDT
Because it's looks like a Qt issue for me, I have reassigned this bug.
Comment 5 Kevin Kofler 2012-03-21 20:24:43 EDT
There's some OpenGL involved here and I see an X error triggered by a DRI function (which then in turn triggers the crash inside Qt code), but I don't have enough evidence to blame it on the driver (r600_dri in this case). Crashing is not nice error handling in Qt in any case.
Comment 6 Ngo Than 2012-04-02 09:04:13 EDT
i cannot reproduce this crash on laptop with intel graphic card
Comment 7 Kevin Kofler 2012-04-02 10:20:27 EDT
So, r600_dri issue?
Comment 8 Fedora End Of Life 2013-07-03 23:42:52 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2013-08-01 07:39:44 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.